%define oname pygobject

# %%define api 2.0
# %%define major 0
# %%define libname %mklibname pyglib-gi %api %major
%global __provides_exclude_from ^(%{py_platsitedir}|%{py3_platsitedir})/(pygtkcompat|gi/pygtkcompat.py|gi/_gobject/__init__.py|gi/module.py|gi/__init__.py)
%global __requires_exclude_from ^(%{py_platsitedir}|%{py3_platsitedir})/(pygtkcompat|gi/pygtkcompat.py|gi/_gobject/__init__.py|gi/module.py|gi/__init__.py)
%global __requires_exclude "python-gi|\""

%define url_ver %(echo %{version} | cut -d "." -f -2)

Name:           python-gobject3
Version:        3.28.2
Release:        %mkrel 2
Summary:        Python bindings for GObject Introspection

License:        LGPLv2+ and MIT
Group:          Development/Python
Url:            http://www.gnome.org
Source0:        http://ftp.gnome.org/pub/GNOME/sources/pygobject/%{url_ver}/%{oname}-%{version}.tar.xz
Patch0:         pygobject-3.19.2-link.diff

BuildRequires:  %{_lib}cairo-devel
BuildRequires:  %{_lib}ffi-devel
BuildRequires:  %{_lib}girepository-devel
BuildRequires:  %{_lib}glib2.0-devel
BuildRequires:  %{_lib}python-devel
BuildRequires:  %{_lib}python3-devel
BuildRequires:  python-cairo-devel
BuildRequires:  python3-cairo-devel
BuildRequires:  gtk-doc
BuildRequires:  automake
Provides:       python-gi
Provides:       python-gi-cairo
Requires:       python-cairo

%description
The %{name} package provides a convenient wrapper for the GObject library
for use in Python programs.

%package -n python3-gobject3
Summary:        Python 3 bindings for GObject Introspection
Group:          Development/Python
Provides:       python3-gi
Provides:       python3-gi-cairo
Requires:       gobject-introspection
Requires:       python3-cairo

%description -n python3-gobject3
This package provides a convenient wrapper for the GObject library and other
libraries that are compatible with GObject Introspection, for use with Python 3
programs.

%package -n python-gobject3-devel
Group: Development/Libraries
Summary: Python-gobject development files
Requires: %{name} = %{version}-%{release}

%description -n python-gobject3-devel
This contains the python-gobject development files, including C
header, pkg-config file.

%package -n python3-gobject3-devel
Group:		Development/Libraries
Summary:	Python3-gobject development files
Requires:	python3-gobject3 = %{version}-%{release}

%description -n python3-gobject3-devel
This contains the python-gobject development files, including C
header, pkg-config file.

%prep
%setup -qn %{oname}-%{version}
%apply_patches
cp -a . %{py3dir}
find -iname \*.py -exec perl -pi -e 's:^#!.*python.*$:#!%{__python}:g' {} \;
find %{py3dir} -iname \*.py -exec perl -pi -e 's:^#!.*python.*$:#!%{__python3}:g' {} \;

%build
	export PYTHON=%{__python}
	autoreconf -vfi
	%configure2_5x
	%make

pushd %{py3dir}
	export PYTHON=%{__python3}
	autoreconf -vfi
	%configure2_5x
	%make
popd

%install
	export PYTHON=%{__python}
	%makeinstall_std

pushd %{py3dir}
	export PYTHON=%{__python3}
	%makeinstall_std
popd

find %{buildroot} -type f -regex '.*\(\.a\|\.la\)$' -delete

# extra stuff is for windows so remove it
rm -fr %{buildroot}%{python_sitearch}/gtk-2.0

# docs are out of date so remove them
rm -rf %{buildroot}%{_datadir}/gtk-doc
rm -rf %{buildroot}%{_datadir}/pygobject

%files
%defattr(-,root,root)
%py_platsitedir/gi
%py_platsitedir/pygtkcompat
%py_platsitedir/*.egg-info

%files -n python3-gobject3
%defattr(-,root,root)
%py3_platsitedir/gi
%py3_platsitedir/pygtkcompat
%py3_platsitedir/*.egg-info

%files -n python-gobject3-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc


%files -n python3-gobject3-devel
%defattr(-,root,root)

%changelog
* Sun Oct 07 2018 adrianomorselli <adrianomorselli> 3.28.2-2uplos2018
- update
